Bug 492015 - Speech Dispatcher defaults to alsa instead of pulseaudio for output
Speech Dispatcher defaults to alsa instead of pulseaudio for output
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: speech-dispatcher (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Hemant Goyal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 19:29 EDT by Richard Schwarting
Modified: 2009-12-18 04:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:06:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Schwarting 2009-03-24 19:29:38 EDT
Description of problem:

The configuration files for the different voice system modules in /etc/speech-dispatcher/modules default their AudioOutputMethod to alsa.  Fedora GNOME uses pulseaudio for sound by default and I presume it locks alsa somehow.  (In that, without pulseaudio, only one app seems able to control audio at a time.)   

Consequently, unless I change the AudioOutputMethod in these .conf files to "pulse" from "alsa" (and restart speech-dispatcherd), there is no sound when using speech-dispatcher.  


Version-Release number of selected component (if applicable):

  speech-dispatcher-0.6.6-18

How reproducible:

  Always.

Steps to Reproduce:
1. install speech-dispatcher
2. start it: # /etc/init.d/speechdispatcherd start
3. test it: $ spd-say "Hello, speech is great"
  
Actual results:

  Silence.

Expected results:

  Hear something!

Additional info:
Comment 1 Bug Zapper 2009-11-18 06:36:03 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Richard Schwarting 2009-11-25 05:38:48 EST
Using speech-dispatcher-0.6.7-2.fc12, it seems to still default to "alsa", but this no longer has issues wproducing sound while PulseAudio is running. 

That said, this was slightly hard to test, since /etc/init.d/speech-dispatcherd fails to start it :|  (new bug to come)
Comment 3 Richard Schwarting 2009-12-06 20:54:22 EST
Er, the situation has actually improved by F12.  Having it set to alsa on all subsequent boot led to no sound being produced.  

Changing it back to pulse lets it be heard.
Comment 4 Bug Zapper 2009-12-18 04:06:25 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.